package com.chinaitop.depot.intelligent.basicdata.service;

import com.chinaitop.depot.intelligent.basicdata.model.TStation;

import java.util.List;
import java.util.Map;

public interface StationService {
    List<TStation> getList(String zdname);

    TStation getById(String id);

    void save(String grainJson);

    int deleteById(String id, String stationJson);

    Map<String, TStation> getStations();

    boolean getBycfCode(String vdevcode, String vdevname);

    String synchronizationAll(String orgId);
}
